var renderClass = "jp.ngt.rtm.render.OrnamentPartsRenderer";
importPackage(Packages.org.lwjgl.opengl);
importPackage(Packages.jp.ngt.rtm.render);

function init(par1, par2)
{
	body = renderer.registerParts(new Parts("main"));
	light = renderer.registerParts(new Parts("light"));
}

function render(entity, pass, par3)
{
	GL11.glPushMatrix();

	var light = renderer.getLightState(entity);

	if(pass == RenderPass.LIGHT.id)
	{
		main.render(renderer);
		light.render(renderer);
	}

	GL11.glPopMatrix();
}
